const express = require("express");
const router = express.Router();
const AssetCodeWithPractitioner = require("./../../model/stellar/assetCodeWithPractitioner");

router.get("./:practitionerKey", async (req, res) => {
  const practitionerKey = req.params.practitionerKey;

  try {
    const assetKey = await AssetCodeWithPractitioner.findOne({
      to: practitionerKey,
    });

    console.log(assetKey);

    res.status(200).json({
      assetcode: assetKey.assetcode,
    });
    console.log(
      "/practitioner/getassetcode - getting asset code for the practitioner success"
    );
  } catch (errorWhenGettingAssetCode) {
    console.log(
      "Error when getting practitioner asset code : Error : ",
      errorWhenGettingAssetCode
    );
    console.log("/practitioner/getasssetcode - failed");
    res.status(500).json({
      error: "Getting all practitioners requests failed : ",
      errorWhenGettingPatientRequests,
    });
  }
});

module.exports = router;
