const express = require("express");
const router = express.Router();
const UserRequest = require("./../../model/patient/request");

router.get("/:practitionerKey", async (req, res) => {
  //get the payload
  const practitionerKey = req.params.practitionerKey;

  try {
    const requestData = await UserRequest.find({
      practitioner: practitionerKey,
      status: "pending",
    });
    console.log(requestData);
    res.status(200).json({
      message: "Request data",
      data: requestData,
    });
    console.log("/practitionerrequests - Getting all request success");
  } catch (errorWhenGettingPatientRequests) {
    console.log(
      "Getting all practitioners requests : ERROR : ",
      errorWhenGettingPatientRequests
    );
    console.log(
      "/practitionerrequests - getting all practitioners requests failed"
    );
    res.status(500).json({
      error: "Getting all practitioners requests failed : ",
      errorWhenGettingPatientRequests,
    });
  }
});

module.exports = router;
