import CryptoJS from "react-native-crypto-js";
import { useEffect } from "react";
import { AES_KEY } from "../env";

function EncryptWithServerKey(originalTxt) {
  const key = CryptoJS.enc.Utf8.parse(AES_KEY);
  const options = {
    mode: CryptoJS.mode.CBC,
    padding: CryptoJS.pad.Pkcs7,
    iv: CryptoJS.enc.Utf8.parse(AES_KEY),
  };

  const encryptedTxt = CryptoJS.AES.encrypt(
    originalTxt,
    key,
    options
  ).toString();

  return encryptedTxt;
}

export default EncryptWithServerKey;
