const NFTRequest = require("./../model/stellar/nftRequests"); // assuming "nftRequest" is the name of the Mongoose model

async function UpdateNFTRequestStatus(assetcode) {
  try {
    const filter = { assetcode: assetcode };
    const update = { status: "Completed" };
    const options = { new: true }; // Return the updated document
    const updatedRequest = await NFTRequest.findOneAndUpdate(
      filter,
      update,
      options
    );
    return !!updatedRequest; // convert updatedRequest to boolean value
  } catch (error) {
    console.error(error);
    return false;
  }
}

module.exports = UpdateNFTRequestStatus;
